package com.reyun.saas.mob.user.service;

import com.reyun.saas.mob.user.domain.App;

import java.util.Map;
import java.util.Set;

/**
 * @author: hanzepeng
 * @Date: 2022/02/09/15:29
 * @Description: 非关系型数据库业务层接口
 */
public interface NoSqlService {

    /**
     * 查询item 并且转为map
     */
    Map<String, Object> getItem2Map(String tableName, String primaryKeyName, String prmaryKeyValue);

    /**
     * 保存set
     */
    void putSet(String tableName, String primaryKeyName, String prmaryKeyValue,String fieldName, Set<String> set);

    /**
     * 删除item
     */
    public void deleteIetm(String tableName, String primaryKeyName, String prmaryKeyValue);

    /**
     * put appkey——oid,type.bundleid对应关系
     */
    void putAppInfo(App app, String oid);
}
